<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- av-150 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px; background-image:url(images/bg.gif);">
<center>
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" style="background-image:url(images/bg.gif);">
  <tr>
    <td width="227" valign="bottom" background="images/header1.gif" height="222"><table width="100%" height="130" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td background="images/005.gif"  style="padding:15px; background-position:bottom;background-repeat:repeat-x;">
		<!-- LOGO -->
		<table width="170" border="0" align="center" cellpadding="5" cellspacing="0">
          <tr>
            <td width="60" rowspan="2"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
            <td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
          </tr>
          <tr>
            <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
		<!-- END LOGO -->
		</td>
      </tr>
    </table></td>
    <td background="images/header1.gif" width="1"></td>
    <td background="images/header1.gif" valign="top"><table width="100%" border="0" align="right" cellpadding="0" cellspacing="0">
      <tr>
        <td><div align="right"><img src="images/header.gif" width="550" height="222"/></div></td>
      </tr>
    </table></td>
  </tr>
  <tr>
     <td height="1" colspan="3" background="images/line.gif" style="background-repeat:repeat-x"></td>
  </tr>
  <tr>
    <td valign="top" background="images/001.gif" height="100%"><table width="225" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td style="padding-top:30px;padding-bottom:15px;">
		<!-- SUBMENU -->
		<table width="180" border="0" align="center" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table>
		<!-- END SUBMENU -->
		</td>
      </tr>
    </table></td>
    <td width="1" background="images/line.gif" style="background-repeat:repeat-y"></td>
    <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top" style="padding:1px;"><table width="100%" height="50" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td background="images/002.gif" style="background-position:top;background-repeat:repeat-x;">
			<!-- MENU -->
			<table border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
			   <td width="10"></td>
                <xsl:call-template name="TOP-MENU"/>
               <td width="10"></td>
				
              </tr>
              
            </table>
			<!-- END MENU -->
			</td>
          </tr>
        </table></td>
      </tr>
      <tr>
       <td height="1" background="images/line.gif" style="background-repeat:repeat-x"></td>
      </tr>
      <tr>
        <td valign="top" height="100%">
		<!-- CONTENT -->
		<table width="100%"  height="100%" border="0" cellpadding="0" cellspacing="0" style="padding:20px 20px 10px 30px;">
          <tr>
            <td><table  border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td class="pathway"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  <td><img src="images/003.gif" width="17" height="17"/></td>
                </tr>
              </table>
                <br/>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
<td class="pageContent" name="SB_stretch">
<xsl:apply-templates select="PAGE-CONTENT"/>
</td>
</tr>
</table></td>
          </tr>
        </table>
		<!-- END CONTENT -->
		</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="1" colspan="3" background="images/line.gif" style="background-repeat:repeat-x"></td>
  </tr>
  <tr>
    <td style="padding:10px;">
	<!-- FOOTER -->
	<table width="180" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</td>
      </tr>
    </table>
	<!-- END FOOTER -->
	</td>
    <td width="1" background="images/line.gif" style="background-repeat:repeat-y"></td>
    <td background="images/002.gif"  style="padding:1px; background-position:top;background-repeat:repeat-x;" align="center">
	<!-- BOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0" align="center">
      <tr>
        <td width="15"></td>
        <xsl:call-template name="BOTTOM-MENU"/>
		 <td width="15"></td>
      </tr>
    </table>
	<!-- END BOTTOM MENU -->
	</td>
  </tr>
</table>
</center>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >


<tr>
<td class="s1"><img src="images/001_2.gif"/></td>
<td class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">


<tr>
<td class="s1"><img src="images/001_2.gif"/></td>
<td ><a href='{@HREF}' class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>

		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">

<tr>
<td colspan="2"><img src="images/00_1.gif"/></td>
</tr>

	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">


<td ><div align="center"><a  href='{@HREF}' class="bmenua" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
	   </xsl:when>

           <!-- when active-->
           
           <xsl:otherwise>


<td ><div align="center"><a  href='{@HREF}' class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
<td width="5"></td>
 <td class="b1"><img src="images/004.gif" width="5" height="6"/></td>
<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
